Next: x86-64 Options, Previous: VMS Options, Up: Submodel Options

#### 3.17.52 VxWorks Options

The options in this section are defined for all VxWorks targets. Options specific to the target hardware are listed with the other options for that target.

`-mrtp`
  GCC can generate code for both VxWorks kernels and real time processes (RTPs). This option switches from the former to the latter. It also defines the preprocessor macro `__RTP__`.
`-non-static`
  Link an RTP executable against shared libraries rather than static libraries. The options `-static` and `-shared` can also be used for RTPs (see Link Options); `-static` is the default.
`-Bstatic`
`-Bdynamic`
  These options are passed down to the linker. They are defined for compatibility with Diab.
`-Xbind-lazy`
  Enable lazy binding of function calls. This option is equivalent to `-Wl,-z,now` and is defined for compatibility with Diab.
`-Xbind-now`
  Disable lazy binding of function calls. This option is the default and is defined for compatibility with Diab.